Proactive

API / V1

Integrations

8 endpoints in this section.

POST/api/v1/integrations/github/disconnect

Requires write scope with session_or_bearer authentication.

Parameters

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/status

Requires read scope with session_or_bearer authentication.

Parameters

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/repositories

Requires read scope with session_or_bearer authentication.

Parameters

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/repositories/{repositoryFullName}/branches

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
repositoryFullNamestringYes

Repository in owner/repo format.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/repositories/{repositoryFullName}/pull-requests

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
repositoryFullNamestringYes

Repository in owner/repo format.

-
statestringNo

Defaults to open.

open, closed, all

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/github/pull-requests

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
pagenumberNo

Defaults to 1.

-
pageSizenumberNo

Defaults to 10, max 100.

-
statestringNo

Defaults to all.

open, closed, merged, all
repositoryFullNamestringNo

Repository in owner/repo format.

-
projectIdstringNo

Only PRs from repositories linked to the project.

-
authorLoginstringNo

Input value for this endpoint.

-
ciStatestringNo

Input value for this endpoint.

pending, failure, cancelled, success
reviewStatusstringNo

Input value for this endpoint.

changes_requested, needs_re_review, review_requested, commented, approved, no_reviews
rolestringNo

Only PRs authored by, or involving as reviewer, the connected GitHub account.

author, reviewer

Security Warning:

Returns synced pull requests from the user's connected GitHub installations, newest update first.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/github/pull-requests/{githubPrId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
githubPrIdstringYes

The githubPrId returned by the list endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/github/pull-requests/{githubPrId}/logs

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
githubPrIdstringYes

Input value for this endpoint.

-
cursorstringNo

From the previous response's nextCursor.

-
limitnumberNo

Review rounds per page. Defaults to 5, max 50.

-
roundKeystringNo

Restrict to a single review round.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.